// Script to dump all custom types from Ghidra
// @category _Reman3
// @menupath Reman3.Dump Types

import ghidra.app.script.GhidraScript;
import ghidra.program.model.data.DataType;
import ghidra.program.model.data.ProgramBasedDataTypeManager;
import ghidra.program.model.data.Structure;
import ghidra.program.model.data.TypedefDataType;
import re3lib.TypeDumper;

public class DumpTypes extends GhidraScript {
  @Override
  protected void run() throws Exception {
    TypeDumper dumper = new TypeDumper(this);
    dumper.run();
  }
}
